[Pkg-sysvinit-commits] r147 - sysvinit/trunk/debian/initscripts/etc/init.d

Thomas Hood jdthood-guest at costa.debian.org
Fri Nov 18 15:43:40 UTC 2005


Author: jdthood-guest
Date: 2005-11-18 15:43:39 +0000 (Fri, 18 Nov 2005)
New Revision: 147

Modified:
   sysvinit/trunk/debian/initscripts/etc/init.d/halt
   sysvinit/trunk/debian/initscripts/etc/init.d/reboot
Log:
Clean up halt and reboot

Modified: sysvinit/trunk/debian/initscripts/etc/init.d/halt
===================================================================
--- sysvinit/trunk/debian/initscripts/etc/init.d/halt	2005-11-18 15:36:46 UTC (rev 146)
+++ sysvinit/trunk/debian/initscripts/etc/init.d/halt	2005-11-18 15:43:39 UTC (rev 147)
@@ -15,6 +15,7 @@
 #
 
 PATH=/sbin:/bin:/usr/sbin:/usr/bin
+. /lib/lsb/init-functions
 
 # Get the default from /etc/default/halt.
 [ -f /etc/default/halt ] && . /etc/default/halt
@@ -55,6 +56,7 @@
 		poweroff=""
 	fi
 
+	log_action_msg "Will now halt"
 	halt -d -f -i $poweroff $hddown
 }
 
@@ -62,15 +64,15 @@
     start)
         ;;
     restart|reload|force-reload)
-        echo "error: $0 $1 not supported"
-        exit 1
+        echo "Error: argument '$1' not supported" >&2
+        exit 3
         ;;
     stop)
         do_stop
         ;;
     *)
-        echo "Usage: $0 start|stop|restart|reload|force-reload"
-        exit 1
+        echo "Usage: $0 start|stop" >&2
+        exit 3
         ;;
 esac
 

Modified: sysvinit/trunk/debian/initscripts/etc/init.d/reboot
===================================================================
--- sysvinit/trunk/debian/initscripts/etc/init.d/reboot	2005-11-18 15:36:46 UTC (rev 146)
+++ sysvinit/trunk/debian/initscripts/etc/init.d/reboot	2005-11-18 15:43:39 UTC (rev 147)
@@ -1,12 +1,12 @@
 #! /bin/sh
 ### BEGIN INIT INFO
-# Provides:         reboot
-# Required-Start:   umountroot $network
+# Provides:          reboot
+# Required-Start:    umountroot $network
 # Required-Stop:
-# Should-Start:     lvm raid2
-# Default-Start:    6
+# Should-Start:      lvm raid2
+# Default-Start:     6
 # Default-Stop:
-# Short-Desciption: Execute the reboot command.
+# Short-Description: Execute the reboot command.
 # Description:
 ### END INIT INFO
 #
@@ -17,23 +17,22 @@
 . /lib/lsb/init-functions
 
 do_stop () {
-    log_action_begin_msg "Rebooting"
-    reboot -d -f -i
-    log_action_end_msg $?
+	log_action_msg "Will now reboot"
+	reboot -d -f -i
 }
 
 case "$1" in
     start)
         ;;
     restart|reload|force-reload)
-        echo "error: '$0 $1' not supported"
-        exit 1
+        echo "Error: argument '$1' not supported" >&2
+        exit 3
         ;;
     stop)
         do_stop
         ;;
     *)
-        echo "Usage: $0 start|stop|restart|reload|force-reload"
-        exit 1
+        echo "Usage: $0 start|stop" >&2
+        exit 3
         ;;
 esac




More information about the Pkg-sysvinit-commits mailing list